Subject: Re: Git and svn as target

From: Matthias Fechner <[email-masked]>
Date: Mon, 14 Jun 2010 18:35:44 +0200

Hi,

Am 10.06.10 09:11, schrieb Avery Pennarun:
> Right. I actually like it that way much more than I like rebasing
> onto master, but that's a matter of opinion, of course.  Another
> option would be to simply do "git svn dcommit" from the 'test' branch
> rather than merging it into master first.  (This essentially asks
> git-svn to do your rebasing for you, so it's roughly the same thing as
> merge-rebase-dcommit.)
>    

thanks, I got it working with the following sequence:
git svn fetch
git svn rebase
git branch test
git checkout test
several commit with commit messages
git checkout master
git svn fetch
git svn rebase
git rebase --interactive --preserve-merges test
git svn dcommit

Now I can see all local git commit as commits to the svn repository.

Bye,
Matthias

-- 
"Programming today is a race between software engineers striving to build bigger and better idiot-proof programs, and the universe trying to produce bigger and better idiots. So far, the universe is winning." -- Rich Cook